Bug 1769907 (CVE-2019-9854) - CVE-2019-9854 libreoffice: Unsafe URL assembly flaw in allowed script location check
Summary: CVE-2019-9854 libreoffice: Unsafe URL assembly flaw in allowed script locatio...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9854
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1743958 1743962 1769909 1770069 1770070
Blocks: 1769910
TreeView+ depends on / blocked
 
Reported: 2019-11-07 16:55 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-04-28 15:28 UTC (History)
4 users (show)

Fixed In Version: libreoffice 6.2.7, libreoffice 6.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 22:35:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1151 None None None 2020-03-31 19:28:35 UTC
Red Hat Product Errata RHSA-2020:1598 None None None 2020-04-28 15:28:41 UTC

Description Guilherme de Almeida Suckevicz 2019-11-07 16:55:32 UTC
LibreOffice has a feature where documents can specify that pre-installed macros can be executed on various script events such as mouse-over, document-open etc. Access is intended to be restricted to scripts under the share/Scripts/python, user/Scripts/python sub-directories of the LibreOffice install. Protection was added, to address CVE-2019-9852, to avoid a directory traversal attack where scripts in arbitrary locations on the file system could be executed by employing a URL encoding attack to defeat the path verification step. However this protection could be bypassed by taking advantage of a flaw in how LibreOffice assembled the final script URL location directly from components of the passed in path as opposed to solely from the sanitized output of the path verification step. This issue affects: Document Foundation LibreOffice 6.2 versions prior to 6.2.7; 6.3 versions prior to 6.3.1.

References:
https://www.libreoffice.org/about-us/security/advisories/CVE-2019-9854/
https://seclists.org/bugtraq/2019/Sep/17

Comment 1 Guilherme de Almeida Suckevicz 2019-11-07 16:55:43 UTC
Created libreoffice tracking bugs for this issue:

Affects: fedora-all [bug 1769909]

Comment 2 Huzaifa S. Sidhpurwala 2019-11-08 03:50:35 UTC
External References:

https://www.libreoffice.org/about-us/security/advisories/CVE-2019-9854/

Comment 4 Huzaifa S. Sidhpurwala 2019-11-08 04:11:20 UTC
An attacker is able to trigger execution of arbitrary python scripts, previously placed at certain locations in the file system, when libreoffice documents are opened and certain actions are performed. However there are several conditions to successful exploitation:

1. The document needs to have macros associated with certain actions like opening the document, mouse over etc. This can be achieved by sending malicious files to users via email etc and social engineering them to open the document.
2. The malicious script needs to exists on the file system to be executed.

Comment 5 errata-xmlrpc 2020-03-31 19:28:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1151 https://access.redhat.com/errata/RHSA-2020:1151

Comment 6 Product Security DevOps Team 2020-03-31 22:35:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-9854

Comment 7 errata-xmlrpc 2020-04-28 15:28:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1598 https://access.redhat.com/errata/RHSA-2020:1598


Note You need to log in before you can comment on or make changes to this bug.